package example1_Wasp;

import java.awt.image.BufferedImage;
import java.io.File;

import javax.imageio.ImageIO;
import javax.swing.ImageIcon;

import org.imgscalr.Scalr;

import com.threecoffee.anim.Sprite;
import com.threecoffee.control.GameWindow;

public class Wasp{

	Wasp(){
		BufferedImage wasp=null;
		try {
			wasp = ImageIO.read(new File("media/wasp/wasp.png"));
		}catch (Exception e) {
			e.printStackTrace();
		}
		
		Sprite buzz = new Sprite();
		for(int i=0; i<8; i++)
			buzz.addImage(new ImageIcon( Scalr.crop(wasp, 100*i, 0, 100, 100) ));
		
		GameWindow g = new GameWindow(150, 150);
		
		buzz.addTo(g);
		buzz.setLocation(0, 0);
		buzz.play();
		
		g.setVisible(true);
	}
	
	public static void main(String[] args){
		new Wasp();
	}
	
}
